/*
 * segatex SELinux tool.
 *
 * Copyright (C) 2007 Shintaro Fujiwara 
 * shintaro.fujiwara@gmai.com
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 * */

#ifndef SEGATEXSTATE_H
#define SEGATEXSTATE_H

#include <qregexp.h>
#include <qtextedit.h>

#include <selinux/selinux.h>
#include <selinux/get_default_type.h>

class SegatexState: public QTextEdit
{
    Q_OBJECT
public:
    SegatexState();
    
public slots:
    QString which_policy();
    QString is_selinux_enabled_segatex();
    QString getenforce_segatex();
signals:
protected:
private slots:
private:
    QString pol_root;
    QString installed_policy;
    QString policy_targeted;
    QString policy_strict;
    QString policy_mls;
    int enabled_or_not;
    QString enabled_or_not_str;
    int getenforce;
    QString getenforce_str;
};

#endif
